## Bitcoin Payment Service (Deal Module) config file

[main]
#user=nobody
#group=nobody

#limitnofile=8192

## Count worker process
## default: 1
workers=1

## Create helper process
## default: false
#helper=false

## Create master process
## Master process run processes:
## - worker (if count not equal 0)
## - helper (if value equal true)
## - process/* (if enabled)
## default: true
master=true

[daemon]
## Run as daemon
## default: true
daemon=true

## Pid file
## default: logs/dm.pid
pid=/run/dm.pid

[log]
## Log files
## Available keys: alert, crit, error, warn, notice, info, debug
## default: error=logs/error.log
#alert=logs/error.log
crit=logs/crit.log
error=logs/error.log
#warn=logs/error.log
#notice=logs/error.log
#info=logs/error.log
#debug=logs/debug.log

## HTTP (Server) config section
[server]
## Listen address
## default: 0.0.0.0
listen=127.0.0.1

## Listen port number
## default: 4999
port=4999

## Connection timeout
## default: 5000
timeout=5000

## Default web server file path
root=www

## Access log file
log=logs/access.log

[module]
## Module Bitcoin address
## default: empty
address=

## OAuth2 configuration file
## default: service.json
oauth2=oauth2/service.json

## Module transaction fee as a percentage of the deal amount
## ATTENTION: If the value is specified as a percentage, you MUST indicate the sign “%”,
##            otherwise it will be a FIXED value in satoshi.
## default: 0.1%
#fee=

[pgp]
## Path to PGP private file key
## default: empty
private=

## Path to PGP public file key
## default: empty
public=

## PGP passphrase
## default: empty
passphrase=
